Loading...
Searching...
No Matches
ForceFields::CrystalFF::CrystalFFDetails Struct Reference

`#include <TorsionPreferences.h>`

## Public Attributes

std::vector< std::vector< int > > | expTorsionAtoms
std::vector< std::pair< std::vector< int >, std::vector< double > > > | expTorsionAngles
std::vector< std::vector< int > > | improperAtoms
std::vector< std::pair< int, int > > | bonds
std::vector< std::vector< int > > | angles
std::vector< int > | atomNums
double | boundsMatForceScaling
boost::dynamic_bitset | constrainedAtoms
double * | distMat
ETKDGForceConsts::Params | forceConsts

## Detailed Description

Definition at line 58 of file TorsionPreferences.h.

## Member Data Documentation

## angles

std::vector<std::vector<int> > ForceFields::CrystalFF::CrystalFFDetails::angles

Definition at line 64 of file TorsionPreferences.h.

Referenced by DistGeom::construct3DImproperForceField().

## atomNums

std::vector<int> ForceFields::CrystalFF::CrystalFFDetails::atomNums

Definition at line 65 of file TorsionPreferences.h.

Referenced by DistGeom::construct3DImproperForceField().

## bonds

std::vector<std::pair<int, int> > ForceFields::CrystalFF::CrystalFFDetails::bonds

Definition at line 63 of file TorsionPreferences.h.

## boundsMatForceScaling

double ForceFields::CrystalFF::CrystalFFDetails::boundsMatForceScaling

Definition at line 66 of file TorsionPreferences.h.

## constrainedAtoms

boost::dynamic_bitset ForceFields::CrystalFF::CrystalFFDetails::constrainedAtoms

Definition at line 67 of file TorsionPreferences.h.

## distMat

double* ForceFields::CrystalFF::CrystalFFDetails::distMat

Definition at line 68 of file TorsionPreferences.h.

## expTorsionAngles

std::vector<std::pair<std::vector<int>, std::vector<double> > > ForceFields::CrystalFF::CrystalFFDetails::expTorsionAngles

Definition at line 61 of file TorsionPreferences.h.

## expTorsionAtoms

std::vector<std::vector<int> > ForceFields::CrystalFF::CrystalFFDetails::expTorsionAtoms

Definition at line 59 of file TorsionPreferences.h.

## forceConsts

ETKDGForceConsts::Params ForceFields::CrystalFF::CrystalFFDetails::forceConsts

Definition at line 69 of file TorsionPreferences.h.

## improperAtoms

std::vector<std::vector<int> > ForceFields::CrystalFF::CrystalFFDetails::improperAtoms

Definition at line 62 of file TorsionPreferences.h.

Referenced by DistGeom::construct3DImproperForceField().

The documentation for this struct was generated from the following file:

- TorsionPreferences.h